import sharedInterfaces.*;
import guiDomain.*;
import graphicsDomain.*;

public class EScope12
{
    public static void main(String args[])
    {
        new EScope12();
    }

    public EScope12()
    {   // create domains
	GuiFacadeInterface gui = new GuiFacade();
	AbstractGraphicsFacade graph = new GraphicsFacade();
	// associate domains with each other
	gui.initialise(graph);
    }
}
